import {request} from '@/libs/request.js'

export function login(data) {
  return request({
  	url: '/user/login',
	data
  })
}
export function getInfo(token) {
  return request({
    url:'/user/getUserInfo'
  })
}

export function logout() {
  return request({
    url: '/user/logout',
    method: 'post'
  })
}
export function register(data) {
  return request({   
    url: '/user/register',
    method:'post',   
    data:data
  })
}
/**公用上传接口 */
export function uploadFile(data) {  
  return request({   
    url: '/upload/file',
    method:"post",
    headers:{'Content-Type':'multipart/form-data'},
    data
  })
}
export function updatePwd(data) {  
  return request({   
    url: '/user/updatePwd',
    method:"post",
    data
  })
}
export function getIlltype() {  
  return request({
    url: '/user/illtype/list'
  })
}
