import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

//实例store对象
const store = new Vuex.Store({
	state: {
		access_token:"",
		userType:2
	},
	mutations: {
		setToken(state,token){
			state.access_token=token;
		},
		setUserType(state,type){
			state.userType=type;
		}
	}
})

//导出store对象
export default store